Class Index | File Index

## Classes

- _global_
- Array
- String
- Tee
- Tee.AfricaMap
- Tee.Animation
- Tee.Annotation
- Tee.Area
- Tee.AsiaMap
- Tee.AustraliaMap
- Tee.Bar
- Tee.Bubble
- Tee.Candle
- Tee.Chart
- Tee.Chart.Axes
- Tee.Chart.Axis
- Tee.Chart.Axis-Grid
- Tee.Chart.Axis-Labels
- Tee.Chart.Axis-Ticks
- Tee.Chart.Axis-Title
- Tee.Chart.Legend
- Tee.Chart.Legend-Symbol
- Tee.Chart.Panel
- Tee.Chart.Scroll
- Tee.Chart.SeriesList
- Tee.Chart.Title
- Tee.Chart.Tools
- Tee.Chart.Wall
- Tee.Chart.Zoom
- Tee.ChartImage
- Tee.CircularGauge
- Tee.ColorGrid
- Tee.CursorTool
- Tee.CustomBar
- Tee.CustomSeries
- Tee.CustomSeries-Pointer
- Tee.Data
- Tee.Data.Dimension
- Tee.Data.Metric
- Tee.Donut
- Tee.DragTool
- Tee.Europe27Map
- Tee.EuropeMap
- Tee.FadeAnimation
- Tee.Font
- Tee.Format
- Tee.Gantt
- Tee.Gradient
- Tee.HorizArea
- Tee.HorizBar
- Tee.Line
- Tee.Map
- Tee.Margins
- Tee.MarksAnimation
- Tee.Palette
- Tee.PaletteSeries
- Tee.Pie
- Tee.Point
- Tee.PointXY
- Tee.Polar
- Tee.Rectangle
- Tee.Series
- Tee.Series.Marks
- Tee.SeriesAnimation
- Tee.Shadow
- Tee.SouthAmericaMap
- Tee.Stroke
- Tee.Surface
- Tee.SVGMap
- Tee.Three
- Tee.Tool
- Tee.ToolTip
- Tee.USAMap
- Tee.Volume
- Tee.WorldMap

# Class Tee.CircularGauge

Parameters to draw a circular gauge meter.
Defined in: <..\..\src\teechart-gauges.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Tee.CircularGauge(o, o2)

Field Summary
Field Attributes | Field Name and Description
--- | ---
| angle Amount in degrees of the circular gauge size.
| bevel Formatting properties to outmost external gauge bevel.
| center Formatting properties for center gauge symbol.
| max The maxnimum gauge range value.
| min The minimum gauge range value.
| rotateText Gauge labels are rotated or not according to label angle position.
| rotation Gauge rotation in degrees.
| shape Gauge style ("circle", "rectangle", "segment").
| step The increment between gauge range labels.
| value The position of gauge hand inside the min max range.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| addHand()
| calcBounds()
<inner> | changeHover(g, v)
| clicked()
| draw()
| drawHand(han)
| inValue(p, r)
| limitValue(v)
| mousedown(e)
| mousemove(p)
| onclick()
| setValue(v)

Class Detail
Tee.CircularGauge(o, o2)

Parameters:
o
o2

Field Detail
{Number} angle
Amount in degrees of the circular gauge size.

Default Value:
  280

{Tee.Format} bevel
Formatting properties to outmost external gauge bevel.

{Tee.Format} center
Formatting properties for center gauge symbol.

{Number} max
The maxnimum gauge range value.

Default Value:
  100

{Number} min
The minimum gauge range value.

Default Value:
  0

{Boolean} rotateText
Gauge labels are rotated or not according to label angle position.

Default Value:
  false

{Number} rotation
Gauge rotation in degrees.

Default Value:
  0

{String} shape
Gauge style ("circle", "rectangle", "segment").

Default Value:
  "circle"

{Number} step
The increment between gauge range labels.

Default Value:
  0

{Number} value
The position of gauge hand inside the min max range.

Default Value:
  0

Method Detail
addHand()

calcBounds()

<inner> changeHover(g, v)

Parameters:
g
v

clicked()

draw()

drawHand(han)

Parameters:
han

inValue(p, r)

Parameters:
p
r

limitValue(v)

Parameters:
v

mousedown(e)

Parameters:
e

mousemove(p)

Parameters:
p

onclick()

setValue(v)

Parameters:
v

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Oct 23 2013 16:27:37 GMT+0200 (CEST)